package com.fdkanfang.common.enums;

/**
 * @author abnerhou
 * @date 2020/7/24 14:11
 * @desciption
 */
public enum HouseStatusEnum {

      VERTICAL_VALIDATE_INIT(0 , "垂直校验申请提交成功" , false),
      VERTICAL_VALIDATE_SUCC(1 , "垂直校验成功" , false),
      VERTICAL_VALIDATE_FAIL(2 , "垂直校验失败功" , false),
      MODEL_BUILD_ING(3 , "模型生成中", false),
      MODEL_BUILD_SUCC(4 , "模型生成成功" , true),
      MODEL_BUILD_FAIL(5, "模型生成失败" , true),

    ;
    /****状态*****/
    private Integer status;
    /****描述*****/
    private String desc;
    /****是否终态*****/
    private boolean isTerminal;

    HouseStatusEnum(Integer status, String desc , boolean isTerminal) {
        this.status = status;
        this.desc = desc;
        this.isTerminal = isTerminal;
    }

    public Integer getStatus() {
        return status;
    }

    public String getDesc() {
        return desc;
    }

    public boolean isTerminal() {
        return isTerminal;
    }
}
